Name:           libguac
Version:        0.7.0
Release:        1%{?dist}
Summary:        The common library used by all C components of Guacamole
Group:          System Environment/Libraries
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://guac-dev.org/
Source0:        http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz

BuildRequires:  cairo-devel
BuildRequires:  doxygen
BuildRequires:  libpng-devel

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is the core library for guacd (the Guacamole proxy) and any protocol
support plugins for guacd. %{name} provides efficient buffered I/O of text and
base64 data, as well as somewhat abstracted functions for sending Guacamole
instructions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static LIBS="-lrt"
make %{?_smp_mflags} CFLAGS="%{optflags}"
cd doc/
doxygen Doxyfile


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -delete
cp -fr doc/doxygen-output/html .


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS LICENSE README
%{_libdir}/*.so.*

%files devel
%doc html
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Dec 13 2012 Simone Caronni <negativo17@gmail.com> - 0.7.0-1
- Updated to 0.7.0.

* Mon Oct 22 2012 Simone Caronni <negativo17@gmail.com> - 0.6.3-2
- Upstream recreated the tarball from git withouth bumping release;
  autoconf tools update.

* Thu Sep 13 2012 Simone Caronni <negativo17@gmail.com> - 0.6.3-1
- Change Source0 URL.
- Update to 0.6.3, fix CVE-2012-4415 (rhbz #856746, #856747).

* Thu Aug 30 2012 Simone Caronni <negativo17@gmail.com> - 0.6.2-1
- Updated to 0.6.2.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-7
- Moved back plugins to _libdir.
- Removed _isaed build requirements.

* Tue May 29 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-6
- Create subfolder for storing plugin libraries and appropriate support files.

* Mon May 28 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-5
- Sorted and splitted BuildRequires on multiple lines.
- Used common macro styles.
- Shortened delete command in install section.

* Mon May 21 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-4
- Added optimization flags to make command.

* Mon May 14 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-3
- Added librt to configure.
- Removed latex docs in devel packages.
- Added timestamp preservation to install.
- Removed CFLAGS from prep section.

* Fri May 11 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-2
- Review fixes.

* Thu May 10 2012 Simone Caronni <negativo17@gmail.com> - 0.6.0-1
- First build.

